HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostInvoicesInvoiceSend

Contains the different functions to run the operation postInvoicesInvoiceSend

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostInvoicesInvoiceSend.hs
valuepostInvoicesInvoiceSend
  1. :: MonadHTTP m
  2. => Text

    invoice | Constraints: Maximum length of 5000

  3. -> Maybe PostInvoicesInvoiceSendRequestBody

    The request body to send

  4. -> ClientT m (Response PostInvoicesInvoiceSendResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/invoices/{invoice}/send

<p>Stripe will automatically send invoices to customers according to your <a href="https://dashboard.stripe.com/account/billing/automatic">subscriptions settings</a>. However, if you’d like to manually send an invoice to your customer out of the normal schedule, you can do so. When sending invoices that have already been paid, there will be no reference to the payment in the email.</p>

<p>Requests made in test-mode result in no emails being sent, despite sending an <code>invoice.sent</code> event.</p>

Defines the object schema located at paths./v1/invoices/{invoice}/send.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postInvoicesInvoiceSend.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostInvoicesInvoiceSendResponseError is used.

Constructors

Instances2Eq, Show